Subcontract
Receive Goods
POST
/
api
/
v1
/
subcontract-orders
/
{order_id}
/
receive-goods
Receive Goods
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/subcontract-orders/{order_id}/receive-goods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stockLotId": "<string>",
"stockLocationId": "<string>",
"qty": 123,
"uom": "<string>",
"unitCost": 123,
"currency": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/subcontract-orders/{order_id}/receive-goods"
payload = {
"stockLotId": "<string>",
"stockLocationId": "<string>",
"qty": 123,
"uom": "<string>",
"unitCost": 123,
"currency": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stockLotId: '<string>',
stockLocationId: '<string>',
qty: 123,
uom: '<string>',
unitCost: 123,
currency: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/subcontract-orders/{order_id}/receive-goods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": "<string>",
"ledgerEntryId": "<string>",
"status": "<string>",
"qtyIssued": 123,
"qtyReceived": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
⌘I
Receive Goods
